Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif
Class JifOptions

    java.lang.Object
      polyglot.main.Options
          jif.JifOptions

    public class JifOptions

extends polyglot.main.Options

This object encapsulates various polyglot options.

Field Summary
`java.util.List` | `addSigcp` Additional classpath entries for Jif signatures.
`boolean` | `explainErrors` Provide more detailed explanation of solver error messages?
`boolean` | `nonRobustness` Should the checking for the robustness condition be disabled?
`java.lang.String` | `sigcp` The classpath for the Jif signatures of java.lang objects.
`boolean` | `solveGlobally` Use a single Solver to infer labels globally, or solve on a class by class basis.

Fields inherited from class polyglot.main.Options
`assertions, bootclasspath, class_output_directory, classpath, compile_command_line_only, default_classpath, default_output_classpath, disable_passes, dump_ast, error_count, extension, fully_qualified_names, global, ignore_mod_times, keep_output_files, output_classpath, output_directory, output_ext, output_stdout, output_width, post_compiler, precise_compiler_generated_positions, print_ast, serialize_type_info, source_ext, source_path, USAGE_FLAG_WIDTH, USAGE_SCREEN_WIDTH, USAGE_SUBSECTION_INDENT, use_simple_code_writer`

Constructor Summary
`JifOptions(ExtensionInfo extension)` Constructor

Method Summary
`java.lang.String` | `constructJifClasspath()`
`java.lang.String` | `constructOutputExtClasspath()`
`java.lang.String` | `constructPostCompilerClasspath()`
`java.lang.String` | `constructSignatureClasspath()`
`protected int` | `parseCommand(java.lang.String[] args, int index, java.util.Set source)` Parse a command
`void` | `setDefaultValues()` Set default values for options
`void` | `usage(java.io.PrintStream out)` Print usage information

Methods inherited from class polyglot.main.Options
`constructFullClasspath, parseCommandLine, printSpaces, usageForFlag, usageSubsection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nonRobustness

    public boolean nonRobustness

  Should the checking for the robustness condition be disabled?

### solveGlobally

    public boolean solveGlobally

  Use a single Solver to infer labels globally, or solve on a class by class basis.

### explainErrors

    public boolean explainErrors

  Provide more detailed explanation of solver error messages?

### sigcp

    public java.lang.String sigcp

  The classpath for the Jif signatures of java.lang objects.

### addSigcp

    public java.util.List addSigcp

  Additional classpath entries for Jif signatures.

Constructor Detail

### JifOptions

    public JifOptions(ExtensionInfo extension)

  Constructor

Method Detail

### setDefaultValues

    public void setDefaultValues()

  Set default values for options

  Overrides:
    `setDefaultValues` in class `polyglot.main.Options`

### parseCommand

    protected int parseCommand(java.lang.String[] args,
                               int index,
                               java.util.Set source)
                        throws polyglot.main.UsageError

  Parse a command

  Overrides:
    `parseCommand` in class `polyglot.main.Options`
  Returns:
    the next index to process. That is, if calling this method processes two commands, then the return value should be index+2
  Throws:
    `polyglot.main.UsageError`

### usage

    public void usage(java.io.PrintStream out)

  Print usage information

  Overrides:
    `usage` in class `polyglot.main.Options`

### constructSignatureClasspath

    public java.lang.String constructSignatureClasspath()

### constructJifClasspath

    public java.lang.String constructJifClasspath()

### constructOutputExtClasspath

    public java.lang.String constructOutputExtClasspath()

### constructPostCompilerClasspath

    public java.lang.String constructPostCompilerClasspath()

  Overrides:
    `constructPostCompilerClasspath` in class `polyglot.main.Options`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD